import { defineStore } from 'pinia'

export const useDailyStore = defineStore('daily', {
  state: () => ({
    userdailyinspection: [],
    base64_1: '',
    base64_2: '',
    direction: true,
    direction_1: true,
    direction_2: true,


  }),
  actions: {
    dailyinspectionList(data) {
      this.userdailyinspection = [...data]
    },
    change_base64_1(data) {
      this.base64_1 = data
    },
    change_base64_2(data) {
      this.base64_2 = data
    },
    clearSignData() {
      this.base64_1 = ''
      this.base64_2 = ''
    },
    changeDirection() {
      this.direction = !this.direction
    },
    changeDirection__(data) {
      this.direction = data
    },
    changeDirection1(data) {
      this.direction_1 = data
    },
    changeDirection2(data) {
      this.direction_2 = data
    }
  },
  getters: {
    getdailyinspection(state) {
      return state.userdailyinspection
    },
    get_base64_1(state) {
      return state.base64_1
    },
    get_base64_2(state) {
      return state.base64_2
    },
    getDirection(state) {
      return state.direction
    },
    getDirection1(state) {
      return state.direction_1
    },
    getDirection2(state) {
      return state.direction_2
    }
  }
})
